package com.sw.mes.mcs.enent;

import com.sw.mes.wms.dto.FbRatingResultDto;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 方棒评级结果下发事件
 * @Author: GaoXinJian
 * @Date: 2022-01-18 16:43
 */
@Getter
public class SquareRankEvent extends ApplicationEvent {
    FbRatingResultDto fbRatingResultDto;

    public SquareRankEvent(Object source, FbRatingResultDto fbRatingResultDto) {
        super(source);
        if (fbRatingResultDto == null) {
            throw new IllegalArgumentException("null squareRankDto");
        }
        this.fbRatingResultDto = fbRatingResultDto;
    }


}
